Retail Cartridges with EmuNAND

Discussion in '3DS - Flashcards & Custom Firmwares' started by Icepotter, Jan 29, 2015.

  1. Icepotter
    OP

    Icepotter Member

    Newcomer
    41
    10
    Dec 4, 2009
    Brazil
    It's been a while that i'm not following the current news on Gateway releases. I've looked on the pinned topics regarding the updates but i haven't find any information about using emunand to play retail cartridges. Last time i checked games with 7.x encryption were unable to be played in emuNAND, how is the current state of this regard? Updating the gateway flashcard to the last version (3.0.3?) with the emunand to the last version, would i be able to play all my retail games?

    Thank you
     
  2. thorasgar

    thorasgar Checkout my evil Soon-in-atorâ„¢

    Member
    3,405
    1,844
    Jul 3, 2010
    United States
    The carts themselves play fine. You cannot dump the saves and use them in most cases.
     
  3. ubergeek77

    ubergeek77 Post editing world champ.

    Member
    556
    256
    Dec 6, 2014
    United States
    There is a sticky thread in this subforum about this:


    You can play your retail carts in Classic mode. However, both Classic and Gateway mode do not use the 6.x encryption key. If your sysNAND is at version 6.x or above, you can save just like normal and will have nothing to worry about, however this requires both sysNAND and emuNAND to be at version 6.x or above. However, if you are a user of 4.5 sysNAND and use the DS Profile Exploit to launch emuNAND, any game that ships with an on-cart firmware version or higher will not run correctly while played through emuNAND, even if it is at version 6.x or above. I say correctly because, the games will play just like normal, however, if they have previously been played and saved on a 6.x+ system, your saves will show up as "corrupted." You can take a game played through emuNAND (Classic mode) to any other 6.x+ system, and it will load/save, but you cannot take it back to your emuNAND system without the game thinking the save is corrupted again.

    TL;DR - Have sysNAND and emuNAND both at 6.x+ and you have nothing to worry about.
     
  4. Apache Thunder

    Apache Thunder I have cameras in your head!

    Member
    4,102
    4,033
    Oct 7, 2007
    United States
    Levelland, Texas

    Actually, if you use Gateway Ultra 3.0 on a 6.x+ sysnand (this applies to emunand too. If sysnand meets those requirements, then saves use new encryption regardless of whether or not you're in emunand),

    Classic Mode WILL use the new encryption! It doesn't matter if your in emunand or not!

    It's only Gateway mode that doesn't use it yet. Of coarse being on 5.0 or lower sysnand firmware means Classic Mode uses the old save keys like usual. ;)

    Not sure if it's even possible, but if you have 4.5 emunand on a system running 6+ sysnand, then save encryption may or may not use the old keys. But I honestly know of no one who tried to boot an emunand that's older then the sysnand. :P

    Not sure how Gateway's save dumper works or if it decrypts the save on export like SaveDataFiler does. But as of right now, it can't dump Card2 saves. I haven't tested it, but it might not be able to dump any save using the new encryption. But that's assuming it was supposed to decrypt the save for you. If not, then only Card2 saves are not supported yet. (although you can just dump the entire rom instead and use it in Gateway mode. Card2 games can have their saves extracted with SaveDataFiler, if the save doesn't use the new encryption! Just have the rom selected in the Gateway multirom menu before starting SaveDataFiler)
     
    ubergeek77 likes this.
  5. ubergeek77

    ubergeek77 Post editing world champ.

    Member
    556
    256
    Dec 6, 2014
    United States
    Thanks for the correction. I guess I've not yet gotten accustomed to anything higher than 4.5 using Gateway :lol:
     
  6. Icepotter
    OP

    Icepotter Member

    Newcomer
    41
    10
    Dec 4, 2009
    Brazil
    in that case, im using a 3DS XL with 4.5 SysNAND and EmuNAND on 9.2.0.20

    A few months ago i've tried to play a retail game on EmuNAND classic and it wont even boot properly.

    So what should i do? update my sysNAND or update the EmuNAND to the last version while using Gateway 3.0.3b?
     
  7. Apache Thunder

    Apache Thunder I have cameras in your head!

    Member
    4,102
    4,033
    Oct 7, 2007
    United States
    Levelland, Texas
    Probably best to update sysnand to 7.2 or higher (but below 9.2 of coarse) For the moment you really don't need anything beyond 7.2 as the encryption/SDK version hasn't changed since 7.x firmware.

    You'll need a game like Pokemon Alpha Sapphire/Omega Ruby to update sysnand with. Do NOT attempt to update sysnand using a rom however! I have confirmed myself with my own 3DS that this will cause a brick! As long as you are using a retail cart you're fine. (don't boot into classic mode. Just power up 3DS and update via retail cart. Safest way to do it! ;) )